# Jaxer.CallbackManager : Object
Return to: Jaxer Framework index

A namespace object holding functions and members for preparing the callback data at the end of page processing that will allow the page to call back its server-side functions.

## Platform Support

Jaxer Server Framework | Jaxer Client Framework
--- | ---
1.0 | no

## Functions

Method | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
static getCallbackKey(String pageName, String crc32) : String Generate the unique key by which callbacks are stored/cached (Advanced) | Show Details | 1.0 | no

Parameters

String | pageName | The name identifying the page that was served
String | crc32 | The crc32 signature of the callback contents, used to see whether the code was changed

Returns

String | The key uniquely identifying the callback page

static processCallbacks(Document doc) : void Process all functions for possible caching, proxying, and callback invocation. (Advanced) | Show Details | 1.0 | no

Parameters

Document | doc | The current document's DocumentElement. This is used to create elements in the active DOM as needed.

aptana_docs